package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 供应商价格
type SupplierPrice struct {
	Id            primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	SupplierId    primitive.ObjectID `bson:"supplierId,omitempty" json:"supplierId"`
	ProductId     primitive.ObjectID `bson:"productId,omitempty" json:"productId"`
	PriceStrategy *PriceStrategy     `bson:"priceStrategy,omitempty" json:"priceStrategy"`
	CreateTime    time.Time          `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime    time.Time          `bson:"updateTime,omitempty" json:"updateTime"`
}
