package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Bill struct {
	Id     primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	PackId primitive.ObjectID `bson:"packId,omitempty" json:"packId"`
	PlanId primitive.ObjectID `bson:"planId,omitempty" json:"planId"`
	// mat craft
	Type string `bson:"type,omitempty" json:"type"`
	//多个工序
	ProductUnit []*ProductUnit `bson:"productUnit,omitempty" json:"productUnit"`

	//created complete
	Status     string    `bson:"status,omitempty" json:"status"`
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
