package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 供应商
type Supplier struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name       string             `bson:"name,omitempty" json:"name"`
	Address    string             `bson:"address,omitempty" json:"address"`
	Phone      string             `bson:"phone,omitempty" json:"phone"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time          `bson:"updateTime,omitempty" json:"updateTime"`
}

type PriceStrategy struct {
	Type string `bson:"type,omitempty" json:"type"`
	//same
	Param1 float64 `bson:"param1,omitempty" json:"param1"`
	Param2 float64 `bson:"param2,omitempty" json:"param2"`
	Param3 float64 `bson:"param3,omitempty" json:"param3"`
}
